Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ColorAttributes

All Superinterfaces:
  Attributes, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ColorAttributesImpl

    public interface ColorAttributes

extends Attributes

A representation of the model object 'Color Attributes'. Deprecated, use StyleAttributes instead

The following features are supported:

- `Foreground Color`
- `Background Color`

See Also:
  `GMFGenPackage.getColorAttributes()`
** Generated **
Model:

Method Summary
`java.lang.String` `getBackgroundColor()` Returns the value of the 'Background Color' attribute
`java.lang.String` `getForegroundColor()` Returns the value of the 'Foreground Color' attribute
`void` `setBackgroundColor(java.lang.String value)` Sets the value of the '`Background Color`' attribute
`void` `setForegroundColor(java.lang.String value)` Sets the value of the '`Foreground Color`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getForegroundColor

    java.lang.String getForegroundColor()

  Returns the value of the 'Foreground Color' attribute.

  If the meaning of the 'Foreground Color' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Foreground Color' attribute.
  See Also:
    `setForegroundColor(String)`, `GMFGenPackage.getColorAttributes_ForegroundColor()`
  ** Generated **
  Model:

### setForegroundColor

    void setForegroundColor(java.lang.String value)

  Sets the value of the '`Foreground Color`' attribute.

  Parameters:
    `value` - the new value of the 'Foreground Color' attribute.
  See Also:
    `getForegroundColor()`
  ** Generated **

### getBackgroundColor

    java.lang.String getBackgroundColor()

  Returns the value of the 'Background Color' attribute.

  If the meaning of the 'Background Color' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Background Color' attribute.
  See Also:
    `setBackgroundColor(String)`, `GMFGenPackage.getColorAttributes_BackgroundColor()`
  ** Generated **
  Model:

### setBackgroundColor

    void setBackgroundColor(java.lang.String value)

  Sets the value of the '`Background Color`' attribute.

  Parameters:
    `value` - the new value of the 'Background Color' attribute.
  See Also:
    `getBackgroundColor()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.